import React from 'react';
import { Chip } from '../chip/Chip';
import { Input } from '../input';
export interface OptionProps {
    value: string | number | boolean;
    label: string;
}
export interface SingleSelectProps {
    options: OptionProps[];
    searchable: boolean;
    autoWidth?: boolean;
    InputProps?: React.ComponentProps<typeof Input>;
    value?: any;
    setSelect: (value: OptionProps) => void;
    setOpen: (value: boolean) => void;
    onOptionClick?: (value: any, label?: string, event?: React.MouseEvent<HTMLLIElement>) => void;
    onChange?: (value: any, label?: string, event?: React.MouseEvent<HTMLLIElement>) => void;
}
export interface MultiSelectProps {
    multiSelect: OptionProps[];
    options: OptionProps[];
    searchable: boolean;
    limit: number;
    autoWidth?: boolean;
    InputProps?: React.ComponentProps<typeof Input>;
    ChipProps?: React.ComponentProps<typeof Chip>;
    setMultiOpen: (value: boolean) => void;
    setMultiSelect: (value: OptionProps[]) => void;
    onChange?: (value: any, label?: string, event?: React.MouseEvent<HTMLLIElement>) => void;
    onOptionClick?: (value: any, label?: string, event?: React.MouseEvent<HTMLLIElement>) => void;
}
export interface SelectProps extends Omit<React.HTMLAttributes<HTMLDivElement>, 'onChange' | 'onClick' | 'className'> {
    options: OptionProps[];
    value?: any;
    multiple?: boolean;
    searchable?: boolean;
    fullWidth?: boolean;
    autoWidth?: boolean;
    limit?: number;
    size?: 'small' | 'medium' | 'large';
    InputProps?: React.ComponentProps<typeof Input>;
    ChipProps?: React.ComponentProps<typeof Chip>;
    className?: string;
    onChange?: (value: any, label?: string, event?: React.MouseEvent<HTMLLIElement>) => void;
    onOptionClick?: (value: any, label?: string, event?: React.MouseEvent<HTMLLIElement>) => void;
    onClick?: (event: React.MouseEvent<HTMLDivElement>) => void;
}
