import React from 'react';
import { ThemeBreakpoint } from './core/breakpoints';
import { ThemePalette } from './core/palette';
import { ThemeShadows } from './core/shadows';
import { ThemeShape } from './core/shape';
import { ThemeSpacing } from './core/spacing';
import { ThemeTransition } from './core/transition';
import { ThemeTypography } from './core/typography';
import { ThemeZIndex } from './core/z-index';
export declare type ThemeOptions = {
    breakpoints: ThemeBreakpoint;
    palette: ThemePalette;
    typography: ThemeTypography;
    spacing: ThemeSpacing;
    shadows: ThemeShadows;
    transitions: ThemeTransition;
    zIndex: ThemeZIndex;
    shape: ThemeShape;
} & {
    [key: string]: any;
};
export declare const defaultTheme: ThemeOptions;
export declare const ThemeContext: React.Context<ThemeOptions>;
