interface ExtendOption {
    [key: string]: any;
}
export interface ElementTypography extends ExtendOption {
    fontWeight: number;
    fontSize: string;
    lineHeight: number;
}
export interface TypographyVariant {
    h1: ElementTypography;
    h2: ElementTypography;
    h3: ElementTypography;
    h4: ElementTypography;
    h5: ElementTypography;
    h6: ElementTypography;
    subtitle1: ElementTypography;
    subtitle2: ElementTypography;
    body1: ElementTypography;
    body2: ElementTypography;
    button: ElementTypography;
    caption: ElementTypography;
    overline: ElementTypography;
}
export interface ThemeTypography extends ExtendOption, TypographyVariant {
    htmlFontSize: number;
    fontFamily: string;
    fontSize: number;
    fontWeightLight: number;
    fontWeightRegular: number;
    fontWeightMedium: number;
    fontWeightBold: number;
}
export declare const defaultTypography: ThemeTypography;
export {};
