import React from 'react';
import { SxPalette } from '../../hoc/withSx/palette';
import { SxSizing } from '../../hoc/withSx/sizing';
import { SxSpace } from '../../hoc/withSx/space';
import { SxTypography } from '../../hoc/withSx/typography';
import { ThemeOptions } from './../../components/theme/ThemeContext';
declare type UseStyleProps = {
    [key: string]: any;
};
declare type UseStyleResult = {
    [key: string]: string;
};
declare type BaseCSSProperties = React.CSSProperties | SxSpace | SxPalette | SxSizing | SxTypography;
declare type RootCallbackResult = {
    [key in keyof React.CSSProperties | keyof SxPalette | keyof SxSpace | keyof SxPalette | keyof SxSizing | keyof SxTypography]: any;
};
declare type RootCallback = (props: any) => RootCallbackResult;
declare type SelectorCSSProperties = {
    [key: string]: BaseCSSProperties;
};
declare type SelectorCSSPropertiesCallback = {
    [key: string]: RootCallback;
};
declare type CSSPropertiesCallback = {
    [key in keyof BaseCSSProperties]: (props: any) => any;
};
declare type MakeStyleContent = BaseCSSProperties | RootCallback | CSSPropertiesCallback | SelectorCSSProperties | SelectorCSSPropertiesCallback;
declare type MakeStyleCallback = (theme: ThemeOptions) => {
    [key: string]: MakeStyleContent;
};
declare type MakeStyleParam = {
    [key: string]: MakeStyleContent;
} | MakeStyleCallback;
export declare function makeStyles(params: MakeStyleParam, prefixClass?: string): (props?: UseStyleProps, noSx?: boolean) => UseStyleResult;
export default makeStyles;
